DOMDocument::schemaValidate
DOMDocument::validate
DOMDocument
PHP Manual

# DOMDocument::schemaValidateSource

(No version information available, might be only in CVS)

DOMDocument::schemaValidateSource — Validates a document based on a schema

### Description

bool DOMDocument::schemaValidateSource ( string `$source` )

Validates a document based on a schema defined in the given string.

### Parameters

`source`

  A string containing the schema.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- DOMDocument::schemaValidate
- DOMDocument::relaxNGValidate
- DOMDocument::relaxNGValidateSource
- DOMDocument::validate

DOMDocument::schemaValidate
DOMDocument::validate
DOMDocument
PHP Manual